Permalink
Browse files

Update to 0.10.5

  • Loading branch information...
1 parent 60b823f commit dc31490b4c83128fa887430daead1b373994b2d3 @dbussink dbussink committed May 2, 2011
Showing with 119 additions and 77 deletions.
  1. +5 −0 data_objects/ChangeLog.markdown
  2. +1 −1 data_objects/data_objects.gemspec
  3. +1 −1 data_objects/lib/data_objects/version.rb
  4. +4 −0 do_derby/ChangeLog.markdown
  5. +7 −7 do_derby/do_derby.gemspec
  6. +1 −1 do_derby/lib/do_derby/version.rb
  7. +1 −1 do_derby/pom.xml
  8. +4 −0 do_h2/ChangeLog.markdown
  9. +7 −7 do_h2/do_h2.gemspec
  10. +1 −1 do_h2/lib/do_h2/version.rb
  11. +1 −1 do_h2/pom.xml
  12. +4 −0 do_hsqldb/ChangeLog.markdown
  13. +7 −7 do_hsqldb/do_hsqldb.gemspec
  14. +1 −1 do_hsqldb/lib/do_hsqldb/version.rb
  15. +1 −1 do_hsqldb/pom.xml
  16. +1 −1 do_jdbc-tools/pom.xml
  17. +4 −0 do_jdbc/ChangeLog.markdown
  18. +4 −4 do_jdbc/do_jdbc.gemspec
  19. +1 −1 do_jdbc/lib/do_jdbc/version.rb
  20. +1 −1 do_jdbc/pom.xml
  21. +4 −0 do_mysql/ChangeLog.markdown
  22. +1 −1 do_mysql/Gemfile
  23. +4 −4 do_mysql/do_mysql.gemspec
  24. +1 −1 do_mysql/lib/do_mysql/version.rb
  25. +1 −1 do_mysql/pom.xml
  26. +1 −1 do_mysql/tasks/compile.rake
  27. +4 −0 do_oracle/ChangeLog.markdown
  28. +4 −4 do_oracle/do_oracle.gemspec
  29. +1 −1 do_oracle/lib/do_oracle/version.rb
  30. +1 −1 do_oracle/pom.xml
  31. +1 −1 do_oracle/tasks/compile.rake
  32. +4 −0 do_postgres/ChangeLog.markdown
  33. +1 −1 do_postgres/Gemfile
  34. +4 −4 do_postgres/do_postgres.gemspec
  35. +1 −1 do_postgres/lib/do_postgres/version.rb
  36. +1 −1 do_postgres/pom.xml
  37. +1 −1 do_postgres/tasks/compile.rake
  38. +5 −0 do_sqlite3/ChangeLog.markdown
  39. +1 −1 do_sqlite3/Gemfile
  40. +4 −4 do_sqlite3/do_sqlite3.gemspec
  41. +1 −1 do_sqlite3/lib/do_sqlite3/version.rb
  42. +1 −1 do_sqlite3/pom.xml
  43. +1 −1 do_sqlite3/tasks/compile.rake
  44. +4 −0 do_sqlserver/ChangeLog.markdown
  45. +7 −7 do_sqlserver/do_sqlserver.gemspec
  46. +1 −1 do_sqlserver/lib/do_sqlserver/version.rb
  47. +1 −1 do_sqlserver/pom.xml
  48. +1 −1 pom.xml
@@ -1,3 +1,8 @@
+## 0.10.5 2011-05-03
+
+Bugfixes
+* Fix an issue with DateTime (do\_sqlite3)
+
## 0.10.4 2011-04-28
New features
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{data_objects}
- s.version = "0.10.4"
+ s.version = "0.10.5"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Dirkjan Bussink"]
@@ -1,3 +1,3 @@
module DataObjects
- VERSION = '0.10.4'
+ VERSION = '0.10.5'
end
@@ -1,3 +1,7 @@
+## 0.10.5 2011-05-03
+
+No changes
+
## 0.10.4 2011-04-28
New features
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{do_derby}
- s.version = "0.10.4"
+ s.version = "0.10.5"
s.platform = %q{java}
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
@@ -77,21 +77,21 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_runtime_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_runtime_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_runtime_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_runtime_dependency(%q<jdbc-derby>, ["~> 10.4.2.0"])
s.add_development_dependency(%q<rspec>, ["~> 2.5"])
s.add_development_dependency(%q<rake-compiler>, ["~> 0.7"])
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_dependency(%q<jdbc-derby>, ["~> 10.4.2.0"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_dependency(%q<jdbc-derby>, ["~> 10.4.2.0"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
@@ -1,5 +1,5 @@
module DataObjects
module Derby
- VERSION = '0.10.4'
+ VERSION = '0.10.5'
end
end
View
@@ -4,7 +4,7 @@
<parent>
<groupId>org.dataobjects</groupId>
<artifactId>dataobjects</artifactId>
- <version>0.10.4</version>
+ <version>0.10.5</version>
<relativePath>../pom.xml</relativePath>
</parent>
<artifactId>do_derby</artifactId>
@@ -1,3 +1,7 @@
+## 0.10.5 2011-05-03
+
+No changes
+
## 0.10.4 2011-04-28
New features
View
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{do_h2}
- s.version = "0.10.4"
+ s.version = "0.10.5"
s.platform = %q{java}
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
@@ -77,21 +77,21 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_runtime_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_runtime_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_runtime_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_runtime_dependency(%q<jdbc-h2>, ["~> 1.1.107"])
s.add_development_dependency(%q<rspec>, ["~> 2.5"])
s.add_development_dependency(%q<rake-compiler>, ["~> 0.7"])
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_dependency(%q<jdbc-h2>, ["~> 1.1.107"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_dependency(%q<jdbc-h2>, ["~> 1.1.107"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
@@ -1,5 +1,5 @@
module DataObjects
module H2
- VERSION = '0.10.4'
+ VERSION = '0.10.5'
end
end
View
@@ -4,7 +4,7 @@
<parent>
<groupId>org.dataobjects</groupId>
<artifactId>dataobjects</artifactId>
- <version>0.10.4</version>
+ <version>0.10.5</version>
<relativePath>../pom.xml</relativePath>
</parent>
<artifactId>do_h2</artifactId>
@@ -1,3 +1,7 @@
+## 0.10.5 2011-05-03
+
+No changes
+
## 0.10.4 2011-04-28
New features
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{do_hsqldb}
- s.version = "0.10.4"
+ s.version = "0.10.5"
s.platform = %q{java}
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
@@ -77,21 +77,21 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_runtime_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_runtime_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_runtime_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_runtime_dependency(%q<jdbc-hsqldb>, ["~> 1.8.0"])
s.add_development_dependency(%q<rspec>, ["~> 2.5"])
s.add_development_dependency(%q<rake-compiler>, ["~> 0.7"])
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_dependency(%q<jdbc-hsqldb>, ["~> 1.8.0"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
- s.add_dependency(%q<do_jdbc>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
+ s.add_dependency(%q<do_jdbc>, ["= 0.10.5"])
s.add_dependency(%q<jdbc-hsqldb>, ["~> 1.8.0"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
@@ -1,5 +1,5 @@
module DataObjects
module Hsqldb
- VERSION = '0.10.4'
+ VERSION = '0.10.5'
end
end
View
@@ -4,7 +4,7 @@
<parent>
<groupId>org.dataobjects</groupId>
<artifactId>dataobjects</artifactId>
- <version>0.10.4</version>
+ <version>0.10.5</version>
<relativePath>../pom.xml</relativePath>
</parent>
<artifactId>do_hsqldb</artifactId>
@@ -4,7 +4,7 @@
<parent>
<groupId>org.dataobjects</groupId>
<artifactId>dataobjects</artifactId>
- <version>0.10.4</version>
+ <version>0.10.5</version>
</parent>
<artifactId>do_jdbc-tools</artifactId>
<name>do_jdbc-tools</name>
@@ -1,3 +1,7 @@
+## 0.10.5 2011-05-03
+
+No changes
+
## 0.10.4 2011-04-28
New features
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{do_jdbc}
- s.version = "0.10.4"
+ s.version = "0.10.5"
s.platform = %q{java}
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
@@ -37,14 +37,14 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_runtime_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_development_dependency(%q<rake-compiler>, ["~> 0.7"])
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
end
@@ -1,5 +1,5 @@
module DataObjects
module Jdbc
- VERSION = '0.10.4'
+ VERSION = '0.10.5'
end
end
View
@@ -4,7 +4,7 @@
<parent>
<groupId>org.dataobjects</groupId>
<artifactId>dataobjects</artifactId>
- <version>0.10.4</version>
+ <version>0.10.5</version>
<relativePath>../pom.xml</relativePath>
</parent>
<artifactId>do_jdbc</artifactId>
@@ -1,3 +1,7 @@
+## 0.10.5 2011-05-03
+
+No changes
+
## 0.10.4 2011-04-28
New features
View
@@ -6,7 +6,7 @@ gemspec
platforms :jruby do
gem 'jdbc-mysql', '>=5.0.4'
- gem 'do_jdbc', '0.10.4'
+ gem 'do_jdbc', '0.10.5'
end
group :development do # Development dependencies (as in the gemspec)
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{do_mysql}
- s.version = "0.10.4"
+ s.version = "0.10.5"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Dirkjan Bussink"]
@@ -90,16 +90,16 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_runtime_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_development_dependency(%q<rspec>, ["~> 2.5"])
s.add_development_dependency(%q<rake-compiler>, ["~> 0.7"])
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
@@ -1,5 +1,5 @@
module DataObjects
module Mysql
- VERSION = '0.10.4'
+ VERSION = '0.10.5'
end
end
View
@@ -4,7 +4,7 @@
<parent>
<groupId>org.dataobjects</groupId>
<artifactId>dataobjects</artifactId>
- <version>0.10.4</version>
+ <version>0.10.5</version>
<relativePath>../pom.xml</relativePath>
</parent>
<artifactId>do_mysql</artifactId>
@@ -56,7 +56,7 @@ begin
ext.classpath = '../do_jdbc/lib/do_jdbc_internal.jar'
ext.java_compiling do |gem|
gem.add_dependency 'jdbc-mysql', '>=5.0.4'
- gem.add_dependency 'do_jdbc', '0.10.4'
+ gem.add_dependency 'do_jdbc', '0.10.5'
end
end
rescue LoadError
@@ -1,3 +1,7 @@
+## 0.10.5 2011-05-03
+
+No changes
+
## 0.10.4 2011-04-28
New features
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{do_oracle}
- s.version = "0.10.4"
+ s.version = "0.10.5"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Raimonds Simanovskis"]
@@ -83,16 +83,16 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_runtime_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_development_dependency(%q<rspec>, ["~> 2.5"])
s.add_development_dependency(%q<rake-compiler>, ["~> 0.7"])
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
else
- s.add_dependency(%q<data_objects>, ["= 0.10.4"])
+ s.add_dependency(%q<data_objects>, ["= 0.10.5"])
s.add_dependency(%q<rspec>, ["~> 2.5"])
s.add_dependency(%q<rake-compiler>, ["~> 0.7"])
end
@@ -1,5 +1,5 @@
module DataObjects
module Oracle
- VERSION = '0.10.4'
+ VERSION = '0.10.5'
end
end
View
@@ -4,7 +4,7 @@
<parent>
<groupId>org.dataobjects</groupId>
<artifactId>dataobjects</artifactId>
- <version>0.10.4</version>
+ <version>0.10.5</version>
<relativePath>../pom.xml</relativePath>
</parent>
<artifactId>do_oracle</artifactId>
@@ -32,7 +32,7 @@ begin
# Gem::Specification API.
gem.dependencies.delete_if { |d| d.name == 'ruby-oci8'}
- gem.add_dependency "do_jdbc", '0.10.4'
+ gem.add_dependency "do_jdbc", '0.10.5'
end
end
rescue LoadError
Oops, something went wrong.

0 comments on commit dc31490

Please sign in to comment.